Subject: Re: OpenGL question
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Sun, 3 Dec 2000 13:27:53 -0800

Hi folks,

On 30 Nov 2000, at 17:37, the Illustrious Maurice Vosmeijer wrote:

> Hi,
> 
> Situation:
>   Cygwin 1.1.4 installed
>   OpenGL 1.1.0-3  installed
>   Windows NT 4.0 on a PIII550 (dell)
> 
> Problem:
>   I have tried to compile the Hello.c source file from the OpenGL-src 
> package (somewhere in a redbook directory).
>   The problem I have is that when the compilation has finished the 
> linker complains that it has a undefined reference
>   to all the OpenGL and GLUT functions that are used in the linking.
> 
> The linker command line that I use in the makefile is as followes:
>   gcc -lglut32 -lglu32 -lopengl32 <a number of objects> -o TD
> 
> Question:
>   What am I doing wrong ??

	What Earnie said...also, verify that you actually have the 
.dlls somewhere if you are using the MS-OpenGL.  You may need to 
define a new path variable which includes all of the necessary 
OpenGL support as well.  Mesa3D has different lib calls than 
does MS-OpenGL.

  If you are not using MS OpenGL you will have to find out (or 
define) what the actual names of your OpenGL libraries are.

	X-Windows has different set of libs than does any other output 
format.

	Peace,

		Paul G.

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Send a message to [email-masked]